diff --git a/hledger/hledger.info b/hledger/hledger.info
index 5e83daa2f..804fe7491 100644
--- a/hledger/hledger.info
+++ b/hledger/hledger.info
@@ -1,59 +1,57 @@
-This is hledger/hledger.info, produced by makeinfo version 4.8 from
-stdin.
+This is hledger.info, produced by makeinfo version 6.7 from stdin.
 
 
-File: hledger.info,  Node: Top,  Up: (dir)
+File: hledger.info,  Node: Top,  Next: OPTIONS,  Up: (dir)
 
 hledger(1)
 **********
 
 This is the command-line interface (CLI) for the hledger accounting
-tool. Here we also describe hledger's concepts and file formats. This
+tool.  Here we also describe hledger's concepts and file formats.  This
 manual is for hledger 1.21.99.
 
-   `hledger'
+   'hledger'
 
-   `hledger [-f FILE] COMMAND [OPTIONS] [ARGS]'
+   'hledger [-f FILE] COMMAND [OPTIONS] [ARGS]'
 
-   `hledger [-f FILE] ADDONCMD -- [OPTIONS] [ARGS]'
+   'hledger [-f FILE] ADDONCMD -- [OPTIONS] [ARGS]'
 
    hledger is a reliable, cross-platform set of programs for tracking
 money, time, or any other commodity, using double-entry accounting and a
-simple, editable file format. hledger is inspired by and largely
+simple, editable file format.  hledger is inspired by and largely
 compatible with ledger(1).
 
    The basic function of the hledger CLI is to read a plain text file
 describing financial transactions (in accounting terms, a general
 journal) and print useful reports on standard output, or export them as
 CSV. hledger can also read some other file formats such as CSV files,
-translating them to journal format. Additionally, hledger lists other
+translating them to journal format.  Additionally, hledger lists other
 hledger-* executables found in the user's $PATH and can invoke them as
 subcommands.
 
    hledger reads data from one or more files in hledger journal,
-timeclock, timedot, or CSV format specified with `-f', or
-`$LEDGER_FILE', or `$HOME/.hledger.journal' (on windows, perhaps
-`C:/Users/USER/.hledger.journal'). If using `$LEDGER_FILE', note this
-must be a real environment variable, not a shell variable. You can
-specify standard input with `-f-'.
+timeclock, timedot, or CSV format specified with '-f', or
+'$LEDGER_FILE', or '$HOME/.hledger.journal' (on windows, perhaps
+'C:/Users/USER/.hledger.journal').  If using '$LEDGER_FILE', note this
+must be a real environment variable, not a shell variable.  You can
+specify standard input with '-f-'.
 
    Transactions are dated movements of money between two (or more) named
 accounts, and are recorded with journal entries like this:
 
-
 2015/10/16 bought food
  expenses:food          $10
  assets:cash
 
    Most users use a text editor to edit the journal, usually with an
-editor mode such as ledger-mode for added convenience. hledger's
+editor mode such as ledger-mode for added convenience.  hledger's
 interactive add command is another way to record new transactions.
 hledger never changes existing transactions.
 
    To get started, you can either save some entries like the above in
-`~/.hledger.journal', or run `hledger add' and follow the prompts. Then
-try some commands like `hledger print' or `hledger balance'. Run
-`hledger' with no arguments for a list of commands.
+'~/.hledger.journal', or run 'hledger add' and follow the prompts.  Then
+try some commands like 'hledger print' or 'hledger balance'.  Run
+'hledger' with no arguments for a list of commands.
 
 * Menu:
 
@@ -98,137 +96,140 @@ File: hledger.info,  Node: General options,  Next: Command options,  Up: OPTIONS
 ===================
 
 To see general usage help, including general options which are supported
-by most hledger commands, run `hledger -h'.
+by most hledger commands, run 'hledger -h'.
 
    General help options:
 
-`-h --help'
+'-h --help'
+
      show general or COMMAND help
+'--man'
 
-`--man'
      show general or COMMAND user manual with man
+'--info'
 
-`--info'
      show general or COMMAND user manual with info
+'--version'
 
-`--version'
      show general or ADDONCMD version
+'--debug[=N]'
 
-`--debug[=N]'
      show debug output (levels 1-9, default: 1)
 
    General input options:
 
-`-f FILE --file=FILE'
-     use a different input file. For stdin, use - (default:
-     `$LEDGER_FILE' or `$HOME/.hledger.journal')
+'-f FILE --file=FILE'
+
+     use a different input file.  For stdin, use - (default:
+     '$LEDGER_FILE' or '$HOME/.hledger.journal')
+'--rules-file=RULESFILE'
 
-`--rules-file=RULESFILE'
      Conversion rules file to use when reading CSV (default: FILE.rules)
+'--separator=CHAR'
 
-`--separator=CHAR'
      Field separator to expect when reading CSV (default: ',')
+'--alias=OLD=NEW'
 
-`--alias=OLD=NEW'
      rename accounts named OLD to NEW
+'--anon'
 
-`--anon'
      anonymize accounts and payees
+'--pivot FIELDNAME'
 
-`--pivot FIELDNAME'
      use some other field or tag for the account name
+'-I --ignore-assertions'
 
-`-I --ignore-assertions'
      disable balance assertion checks (note: does not disable balance
      assignments)
+'-s --strict'
 
-`-s --strict'
      do extra error checking (check that all posted accounts are
      declared)
 
    General reporting options:
 
-`-b --begin=DATE'
+'-b --begin=DATE'
+
      include postings/txns on or after this date (will be adjusted to
      preceding subperiod start when using a report interval)
+'-e --end=DATE'
 
-`-e --end=DATE'
      include postings/txns before this date (will be adjusted to
      following subperiod end when using a report interval)
+'-D --daily'
 
-`-D --daily'
      multiperiod/multicolumn report by day
+'-W --weekly'
 
-`-W --weekly'
      multiperiod/multicolumn report by week
+'-M --monthly'
 
-`-M --monthly'
      multiperiod/multicolumn report by month
+'-Q --quarterly'
 
-`-Q --quarterly'
      multiperiod/multicolumn report by quarter
+'-Y --yearly'
 
-`-Y --yearly'
      multiperiod/multicolumn report by year
+'-p --period=PERIODEXP'
 
-`-p --period=PERIODEXP'
      set start date, end date, and/or reporting interval all at once
      using period expressions syntax
+'--date2'
 
-`--date2'
      match the secondary date instead (see command help for other
      effects)
+'-U --unmarked'
 
-`-U --unmarked'
      include only unmarked postings/txns (can combine with -P or -C)
+'-P --pending'
 
-`-P --pending'
      include only pending postings/txns
+'-C --cleared'
 
-`-C --cleared'
      include only cleared postings/txns
+'-R --real'
 
-`-R --real'
      include only non-virtual postings
+'-NUM --depth=NUM'
 
-`-NUM --depth=NUM'
      hide/aggregate accounts or postings more than NUM levels deep
+'-E --empty'
 
-`-E --empty'
      show items with zero amount, normally hidden (and vice-versa in
      hledger-ui/hledger-web)
+'-B --cost'
 
-`-B --cost'
      convert amounts to their cost/selling amount at transaction time
+'-V --market'
 
-`-V --market'
      convert amounts to their market value in default valuation
      commodities
+'-X --exchange=COMM'
 
-`-X --exchange=COMM'
      convert amounts to their market value in commodity COMM
+'--value'
 
-`--value'
      convert amounts to cost or market value, more flexibly than
      -B/-V/-X
+'--infer-market-prices'
 
-`--infer-market-prices'
      use transaction prices (recorded with @ or @@) as additional market
      prices, as if they were P directives
+'--auto'
 
-`--auto'
      apply automated posting rules to modify transactions.
+'--forecast'
 
-`--forecast'
      generate future transactions from periodic transaction rules, for
-     the next 6 months or till report end date. In hledger-ui, also
+     the next 6 months or till report end date.  In hledger-ui, also
      make ordinary future transactions visible.
+'--color=WHEN (or --colour=WHEN)'
 
-`--color=WHEN (or --colour=WHEN)'
      Should color-supporting commands use ANSI color codes in text
      output.  'auto' (default): whenever stdout seems to be a
      color-supporting terminal.  'always' or 'yes': always, useful eg
-     when piping output into 'less -R'.  'never' or 'no': never.  A
+     when piping output into 'less -R'. 'never' or 'no': never.  A
      NO_COLOR environment variable overrides this.
 
    When a reporting option appears more than once in the command line,
@@ -243,14 +244,14 @@ File: hledger.info,  Node: Command options,  Next: Command arguments,  Prev: Gen
 ===================
 
 To see options for a particular command, including command-specific
-options, run: `hledger COMMAND -h'.
+options, run: 'hledger COMMAND -h'.
 
    Command-specific options must be written after the command name, eg:
-`hledger print -x'.
+'hledger print -x'.
 
    Additionally, if the command is an add-on, you may need to put its
-options after a double-hyphen, eg: `hledger ui -- --watch'. Or, you can
-run the add-on executable directly: `hledger-ui --watch'.
+options after a double-hyphen, eg: 'hledger ui -- --watch'.  Or, you can
+run the add-on executable directly: 'hledger-ui --watch'.
 
 
 File: hledger.info,  Node: Command arguments,  Next: Special characters,  Prev: Command options,  Up: OPTIONS
@@ -262,36 +263,32 @@ Most hledger commands accept arguments after the command name, which are
 often a query, filtering the data in some way.
 
    You can save a set of command line options/arguments in a file, and
-then reuse them by writing `@FILENAME' as a command line argument. Eg:
-`hledger bal @foo.args'. (To prevent this, eg if you have an argument
-that begins with a literal `@', precede it with `--', eg: `hledger bal
+then reuse them by writing '@FILENAME' as a command line argument.  Eg:
+'hledger bal @foo.args'.  (To prevent this, eg if you have an argument
+that begins with a literal '@', precede it with '--', eg: 'hledger bal
 -- @ARG').
 
    Inside the argument file, each line should contain just one option or
-argument. Avoid the use of spaces, except inside quotes (or you'll see a
-confusing error). Between a flag and its argument, use = (or nothing).
-Bad:
-
+argument.  Avoid the use of spaces, except inside quotes (or you'll see
+a confusing error).  Between a flag and its argument, use = (or
+nothing).  Bad:
 
 assets depth:2
 -X USD
 
    Good:
 
-
 assets
 depth:2
 -X=USD
 
    For special characters (see below), use one less level of quoting
-than you would at the command prompt. Bad:
-
+than you would at the command prompt.  Bad:
 
 -X"$"
 
    Good:
 
-
 -X$
 
    See also: Save frequently used options.
@@ -316,17 +313,15 @@ File: hledger.info,  Node: Single escaping shell metacharacters,  Next: Double e
 --------------------------------------------
 
 In shell command lines, characters significant to your shell - such as
-spaces, `<', `>', `(', `)', `|', `$' and `\' - should be
-"shell-escaped" if you want hledger to see them.  This is done by
-enclosing them in single or double quotes, or by writing a backslash
-before them. Eg to match an account name containing a space:
-
+spaces, '<', '>', '(', ')', '|', '$' and '\' - should be "shell-escaped"
+if you want hledger to see them.  This is done by enclosing them in
+single or double quotes, or by writing a backslash before them.  Eg to
+match an account name containing a space:
 
 $ hledger register 'credit card'
 
    or:
 
-
 $ hledger register credit\ card
 
 
@@ -336,19 +331,17 @@ File: hledger.info,  Node: Double escaping regular expression metacharacters,  N
 ---------------------------------------------------------
 
 Characters significant in regular expressions (described below) - such
-as `.', `^', `$', `[', `]', `(', `)', `|', and `\' - may need to be
+as '.', '^', '$', '[', ']', '(', ')', '|', and '\' - may need to be
 "regex-escaped" if you don't want them to be interpreted by hledger's
-regular expression engine. This is done by writing backslashes before
+regular expression engine.  This is done by writing backslashes before
 them, but since backslash is typically also a shell metacharacter, both
-shell-escaping and regex-escaping will be needed. Eg to match a literal
-`$' sign while using the bash shell:
-
+shell-escaping and regex-escaping will be needed.  Eg to match a literal
+'$' sign while using the bash shell:
 
 $ hledger balance cur:'\$'
 
    or:
 
-
 $ hledger balance cur:\\$
 
 
@@ -360,28 +353,25 @@ File: hledger.info,  Node: Triple escaping for add-on commands,  Next: Less esca
 When you use hledger to run an external add-on command (described
 below), one level of shell-escaping is lost from any options or
 arguments intended for by the add-on command, so those need an extra
-level of shell-escaping. Eg to match a literal `$' sign while using the
-bash shell and running an add-on command (`ui'):
-
+level of shell-escaping.  Eg to match a literal '$' sign while using the
+bash shell and running an add-on command ('ui'):
 
 $ hledger ui cur:'\\$'
 
    or:
 
-
 $ hledger ui cur:\\\\$
 
    If you wondered why _four_ backslashes, perhaps this helps:
 
-unescaped:        `$'
-escaped:          `\$'
-double-escaped:   `\\$'
-triple-escaped:   `\\\\$'
+unescaped:        '$'
+escaped:          '\$'
+double-escaped:   '\\$'
+triple-escaped:   '\\\\$'
 
    Or, you can avoid the extra escaping by running the add-on executable
 directly:
 
-
 $ hledger-ui cur:\\$
 
 
@@ -392,14 +382,11 @@ File: hledger.info,  Node: Less escaping,  Prev: Triple escaping for add-on comm
 
 Options and arguments are sometimes used in places other than the shell
 command line, where shell-escaping is not needed, so there you should
-use one less level of escaping. Those places include:
+use one less level of escaping.  Those places include:
 
    * an @argumentfile
-
    * hledger-ui's filter field
-
    * hledger-web's search form
-
    * GHCI's prompt (used by developers).
 
 
@@ -417,13 +404,12 @@ hledger is expected to handle non-ascii characters correctly:
    * they should be displayed correctly by all hledger tools, and
      on-screen alignment should be preserved.
 
-
-   This requires a well-configured environment. Here are some tips:
+   This requires a well-configured environment.  Here are some tips:
 
    * A system locale must be configured, and it must be one that can
-     decode the characters being used. In bash, you can set a locale
-     like this: `export LANG=en_US.UTF-8'. There are some more details
-     in Troubleshooting. This step is essential - without it, hledger
+     decode the characters being used.  In bash, you can set a locale
+     like this: 'export LANG=en_US.UTF-8'.  There are some more details
+     in Troubleshooting.  This step is essential - without it, hledger
      will quit on encountering a non-ascii character (as with all
      GHC-compiled programs).
 
@@ -437,12 +423,11 @@ hledger is expected to handle non-ascii characters correctly:
      double width (for report alignment)
 
    * on Windows, for best results you should run hledger in the same
-     kind of environment in which it was built. Eg hledger built in the
+     kind of environment in which it was built.  Eg hledger built in the
      standard CMD.EXE environment (like the binaries on our download
      page) might show display problems when run in a cygwin or msys
      terminal, and vice versa.  (See eg #961).
 
-
 
 File: hledger.info,  Node: Regular expressions,  Prev: Unicode characters,  Up: OPTIONS
 
@@ -452,49 +437,41 @@ File: hledger.info,  Node: Regular expressions,  Prev: Unicode characters,  Up:
 hledger uses regular expressions in a number of places:
 
    * query terms, on the command line and in the hledger-web search
-     form: `REGEX', `desc:REGEX', `cur:REGEX', `tag:...=REGEX'
+     form: 'REGEX', 'desc:REGEX', 'cur:REGEX', 'tag:...=REGEX'
+   * CSV rules conditional blocks: 'if REGEX ...'
+   * account alias directives and options: 'alias /REGEX/ =
+     REPLACEMENT', '--alias /REGEX/=REPLACEMENT'
 
-   * CSV rules conditional blocks: `if REGEX ...'
-
-   * account alias directives and options: `alias /REGEX/ =
-     REPLACEMENT', `--alias /REGEX/=REPLACEMENT'
-
-   hledger's regular expressions come from the regex-tdfa library. If
+   hledger's regular expressions come from the regex-tdfa library.  If
 they're not doing what you expect, it's important to know exactly what
 they support:
 
   1. they are case insensitive
-
   2. they are infix matching (they do not need to match the entire thing
      being matched)
-
   3. they are POSIX ERE (extended regular expressions)
-
-  4. they also support GNU word boundaries (`\b', `\B', `\<', `\>')
-
-  5. they do not support backreferences; if you write `\1', it will
-     match the digit `1'. Except when doing text replacement, eg in
+  4. they also support GNU word boundaries ('\b', '\B', '\<', '\>')
+  5. they do not support backreferences; if you write '\1', it will
+     match the digit '1'.  Except when doing text replacement, eg in
      account aliases, where backreferences can be used in the
      replacement string to reference capturing groups in the search
      regexp.
-
-  6. they do not support mode modifiers (`(?s)'), character classes
-     (`\w', `\d'), or anything else not mentioned above.
+  6. they do not support mode modifiers ('(?s)'), character classes
+     ('\w', '\d'), or anything else not mentioned above.
 
    Some things to note:
 
-   * In the `alias' directive and `--alias' option, regular expressions
-     must be enclosed in forward slashes (`/REGEX/').  Elsewhere in
+   * In the 'alias' directive and '--alias' option, regular expressions
+     must be enclosed in forward slashes ('/REGEX/').  Elsewhere in
      hledger, these are not required.
 
-   * In queries, to match a regular expression metacharacter like `$' as
-     a literal character, prepend a backslash. Eg to search for amounts
-     with the dollar sign in hledger-web, write `cur:\$'.
-
-   * On the command line, some metacharacters like `$' have a special
-     meaning to the shell and so must be escaped at least once more. See
-     Special characters.
+   * In queries, to match a regular expression metacharacter like '$' as
+     a literal character, prepend a backslash.  Eg to search for amounts
+     with the dollar sign in hledger-web, write 'cur:\$'.
 
+   * On the command line, some metacharacters like '$' have a special
+     meaning to the shell and so must be escaped at least once more.
+     See Special characters.
 
 
 File: hledger.info,  Node: ENVIRONMENT,  Next: DATA FILES,  Prev: OPTIONS,  Up: Top
@@ -502,32 +479,31 @@ File: hledger.info,  Node: ENVIRONMENT,  Next: DATA FILES,  Prev: OPTIONS,  Up:
 2 ENVIRONMENT
 *************
 
-*LEDGER_FILE* The journal file path when not specified with `-f'.
-Default: `~/.hledger.journal' (on windows, perhaps
-`C:/Users/USER/.hledger.journal').
+*LEDGER_FILE* The journal file path when not specified with '-f'.
+Default: '~/.hledger.journal' (on windows, perhaps
+'C:/Users/USER/.hledger.journal').
 
-   A typical value is `~/DIR/YYYY.journal', where DIR is a
-version-controlled finance directory and YYYY is the current year. Or
-`~/DIR/current.journal', where current.journal is a symbolic link to
+   A typical value is '~/DIR/YYYY.journal', where DIR is a
+version-controlled finance directory and YYYY is the current year.  Or
+'~/DIR/current.journal', where current.journal is a symbolic link to
 YYYY.journal.
 
-   On Mac computers, you can set this and other environment variables
-in a more thorough way that also affects applications started from the
-GUI (say, an Emacs dock icon). Eg on MacOS Catalina I have a
-`~/.MacOSX/environment.plist' file containing
-
+   On Mac computers, you can set this and other environment variables in
+a more thorough way that also affects applications started from the GUI
+(say, an Emacs dock icon).  Eg on MacOS Catalina I have a
+'~/.MacOSX/environment.plist' file containing
 
 {
   "LEDGER_FILE" : "~/finance/current.journal"
 }
 
-   To see the effect you may need to `killall Dock', or reboot.
+   To see the effect you may need to 'killall Dock', or reboot.
 
-   *COLUMNS* The screen width used by the register command. Default:
+   *COLUMNS* The screen width used by the register command.  Default:
 the full terminal width.
 
    *NO_COLOR* If this variable exists with any value, hledger will not
-use ANSI color codes in terminal output. This overrides the
+use ANSI color codes in terminal output.  This overrides the
 -color/-colour option.
 
 
@@ -536,23 +512,20 @@ File: hledger.info,  Node: DATA FILES,  Next: TIME PERIODS,  Prev: ENVIRONMENT,
 3 DATA FILES
 ************
 
-hledger reads transactions from one or more data files. The default data
-file is `$HOME/.hledger.journal' (or on Windows, something like
-`C:/Users/USER/.hledger.journal').
-
-   You can override this with the `$LEDGER_FILE' environment variable:
+hledger reads transactions from one or more data files.  The default
+data file is '$HOME/.hledger.journal' (or on Windows, something like
+'C:/Users/USER/.hledger.journal').
 
+   You can override this with the '$LEDGER_FILE' environment variable:
 
 $ setenv LEDGER_FILE ~/finance/2016.journal
 $ hledger stats
 
-   or with one or more `-f/--file' options:
-
+   or with one or more '-f/--file' options:
 
 $ hledger -f /some/file -f another_file stats
 
-   The file name `-' means standard input:
-
+   The file name '-' means standard input:
 
 $ cat some.journal | hledger -f-
 
@@ -573,32 +546,31 @@ any of the supported file formats, which currently are:
 
 Reader:  Reads:                                   Used for file
                                                   extensions:
--------------------------------------------------------------------------- 
-`journal'hledger journal files and some Ledger    `.journal' `.j'
-         journals, for transactions               `.hledger' `.ledger'
-`timeclock'timeclock files, for precise time        `.timeclock'
-         logging                                  
-`timedot'timedot files, for approximate time      `.timedot'
-         logging                                  
-`csv'    comma/semicolon/tab/other-separated      `.csv' `.ssv' `.tsv'
-         values, for data import                  
+--------------------------------------------------------------------------
+'journal'hledger journal files and some Ledger    '.journal' '.j'
+         journals, for transactions               '.hledger' '.ledger'
+'timeclock'timeclock files, for precise time      '.timeclock'
+         logging
+'timedot'timedot files, for approximate time      '.timedot'
+         logging
+'csv'    comma/semicolon/tab/other-separated      '.csv' '.ssv' '.tsv'
+         values, for data import
 
    These formats are described in their own sections, below.
 
    hledger detects the format automatically based on the file extensions
-shown above. If it can't recognise the file extension, it assumes
-`journal' format. So for non-journal files, it's important to use a
+shown above.  If it can't recognise the file extension, it assumes
+'journal' format.  So for non-journal files, it's important to use a
 recognised file extension, so as to either read successfully or to show
 relevant error messages.
 
    You can also force a specific reader/format by prefixing the file
-path with the format and a colon. Eg, to read a .dat file as csv format:
-
+path with the format and a colon.  Eg, to read a .dat file as csv
+format:
 
 $ hledger -f csv:/some/csv-file.dat stats
 
-   Or to read stdin (`-') as timeclock format:
-
+   Or to read stdin ('-') as timeclock format:
 
 $ echo 'i 2009/13/1 08:00:00' | hledger print -ftimeclock:-
 
@@ -608,19 +580,17 @@ File: hledger.info,  Node: Multiple files,  Next: Strict mode,  Prev: Data forma
 3.2 Multiple files
 ==================
 
-You can specify multiple `-f' options, to read multiple files as one
-big journal. There are some limitations with this:
+You can specify multiple '-f' options, to read multiple files as one big
+journal.  There are some limitations with this:
 
    * most directives do not affect sibling files
-
    * balance assertions will not see any account balances from previous
      files
 
    If you need either of those things, you can
 
    * use a single parent file which includes the others
-
-   * or concatenate the files into one before reading, eg: `cat
+   * or concatenate the files into one before reading, eg: 'cat
      a.journal b.journal | hledger -f- CMD'.
 
 
@@ -629,22 +599,19 @@ File: hledger.info,  Node: Strict mode,  Prev: Multiple files,  Up: DATA FILES
 3.3 Strict mode
 ===============
 
-hledger checks input files for valid data. By default, the most
+hledger checks input files for valid data.  By default, the most
 important errors are detected, while still accepting easy journal files
 without a lot of declarations:
 
    * Are the input files parseable, with valid syntax ?
-
    * Are all transactions balanced ?
-
    * Do all balance assertions pass ?
 
-   With the `-s'/`--strict' flag, additional checks are performed:
+   With the '-s'/'--strict' flag, additional checks are performed:
 
-   * Are all accounts posted to, declared with an `account' directive ?
+   * Are all accounts posted to, declared with an 'account' directive ?
      (Account error checking)
-
-   * Are all commodities declared with a `commodity' directive ?
+   * Are all commodities declared with a 'commodity' directive ?
      (Commodity error checking)
 
    You can also use the check command to run these and some additional
@@ -669,35 +636,37 @@ File: hledger.info,  Node: Smart dates,  Next: Report start & end date,  Up: TIM
 4.1 Smart dates
 ===============
 
-hledger's user interfaces accept a flexible "smart date" syntax. Smart
+hledger's user interfaces accept a flexible "smart date" syntax.  Smart
 dates allow some english words, can be relative to today's date, and can
 have less-significant date parts omitted (defaulting to 1).
 
    Examples:
 
-`2004/10/1',              exact date, several separators allowed. Year
-`2004-01-01', `2004.9.1'  is 4+ digits, month is 1-12, day is 1-31
-`2004'                    start of year
-`2004/10'                 start of month
-`10/1'                    month and day in current year
-`21'                      day in current month
-`october, oct'            start of month in current year
-`yesterday, today,        -1, 0, 1 days from today
-tomorrow'                 
-`last/this/next           -1, 0, 1 periods from the current period
+'2004/10/1',              exact date, several separators allowed.  Year
+'2004-01-01',             is 4+ digits, month is 1-12, day is 1-31
+'2004.9.1'
+'2004'                    start of year
+'2004/10'                 start of month
+'10/1'                    month and day in current year
+'21'                      day in current month
+'october, oct'            start of month in current year
+'yesterday, today,        -1, 0, 1 days from today
+tomorrow'
+'last/this/next           -1, 0, 1 periods from the current period
 day/week/month/quarter/year'
-`20181201'                8 digit YYYYMMDD with valid year month and day
-`201812'                  6 digit YYYYMM with valid year and month
+'20181201'                8 digit YYYYMMDD with valid year month and
+                          day
+'201812'                  6 digit YYYYMM with valid year and month
 
    Counterexamples - malformed digit sequences might give surprising
 results:
 
-`201813'     6 digits with an invalid month is parsed as start of
+'201813'     6 digits with an invalid month is parsed as start of
              6-digit year
-`20181301'   8 digits with an invalid month is parsed as start of
+'20181301'   8 digits with an invalid month is parsed as start of
              8-digit year
-`20181232'   8 digits with an invalid day gives an error
-`201801012'  9+ digits beginning with a valid YYYYMMDD gives an error
+'20181232'   8 digits with an invalid day gives an error
+'201801012'  9+ digits beginning with a valid YYYYMMDD gives an error
 
 
 File: hledger.info,  Node: Report start & end date,  Next: Report intervals,  Prev: Smart dates,  Up: TIME PERIODS
@@ -706,46 +675,43 @@ File: hledger.info,  Node: Report start & end date,  Next: Report intervals,  Pr
 ===========================
 
 By default, most hledger reports will show the full span of time
-represented by the journal data. The report start date will be the
+represented by the journal data.  The report start date will be the
 earliest transaction or posting date, and the report end date will be
 the latest transaction, posting, or market price date.
 
    Often you will want to see a shorter time span, such as the current
-month. You can specify a start and/or end date using `-b/--begin',
-`-e/--end', `-p/--period' or a `date:' query (described below). All of
+month.  You can specify a start and/or end date using '-b/--begin',
+'-e/--end', '-p/--period' or a 'date:' query (described below).  All of
 these accept the smart date syntax.
 
    Some notes:
 
    * As in Ledger, end dates are exclusive, so you need to write the
      date _after_ the last day you want to include.
-
    * As noted in reporting options: among start/end dates specified with
-     _options_, the last (i.e. right-most) option takes precedence.
-
+     _options_, the last (i.e.  right-most) option takes precedence.
    * The effective report start and end dates are the intersection of
-     the start/end dates from options and that from `date:' queries.
-     That is, `date:2019-01 date:2019 -p'2000 to 2030'' yields January
+     the start/end dates from options and that from 'date:' queries.
+     That is, 'date:2019-01 date:2019 -p'2000 to 2030'' yields January
      2019, the smallest common time span.
-
    * A report interval (see below) will adjust start/end dates, when
      needed, so that they fall on subperiod boundaries.
 
    Examples:
 
-`-b           begin on St. Patrick's day 2016
-2016/3/17'    
-`-e 12/1'     end at the start of december 1st of the current year
+'-b           begin on St. Patrick's day 2016
+2016/3/17'
+'-e 12/1'     end at the start of december 1st of the current year
               (11/30 will be the last date included)
-`-b           all transactions on or after the 1st of the current month
-thismonth'    
-`-p           all transactions in the current month
-thismonth'    
-`date:2016/3/17..'the above written as queries instead (`..' can also be
-              replaced with `-')
-`date:..12/1' 
-`date:thismonth..'
-`date:thismonth'
+'-b           all transactions on or after the 1st of the current month
+thismonth'
+'-p           all transactions in the current month
+thismonth'
+'date:2016/3/17..'the above written as queries instead ('..' can also be
+              replaced with '-')
+'date:..12/1'
+'date:thismonth..'
+'date:thismonth'
 
 
 File: hledger.info,  Node: Report intervals,  Next: Period expressions,  Prev: Report start & end date,  Up: TIME PERIODS
